# eric4.Debugger.EditBreakpointDialog

Module implementing a dialog to edit breakpoint properties.

### Global Attributes

None

### Classes

EditBreakpointDialog | Class implementing a dialog to edit breakpoint properties.

### Functions

None

## EditBreakpointDialog

Class implementing a dialog to edit breakpoint properties.

### Derived from

QDialog, Ui_EditBreakpointDialog

### Class Attributes

None

### Methods

EditBreakpointDialog | Constructor
getAddData | Public method to retrieve the entered data for an add.
getData | Public method to retrieve the entered data.
on_fileButton_clicked | Private slot to select a file via a file selection dialog.
on_filenameCombo_editTextChanged | Private slot to handle the change of the filename.

#### EditBreakpointDialog (Constructor)

EditBreakpointDialog(id, properties, condHistory, parent = None, name = None, modal = False, addMode = False, filenameHistory = None)

Constructor

id
  id of the breakpoint (tuple) (filename, linenumber)
properties
  properties for the breakpoint (tuple) (condition, temporary flag, enabled flag, ignore count)
condHistory
  the list of conditionals history (QStringList)
parent
  the parent of this dialog
name
  the widget name of this dialog
modal
  flag indicating a modal dialog

#### EditBreakpointDialog.getAddData

getAddData()

Public method to retrieve the entered data for an add.

Returns:
  a tuple containing the new breakpoints properties (filename, lineno, condition, temporary flag, enabled flag, ignore count)

#### EditBreakpointDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  a tuple containing the breakpoints new properties (condition, temporary flag, enabled flag, ignore count)

#### EditBreakpointDialog.on_fileButton_clicked

on_fileButton_clicked()

Private slot to select a file via a file selection dialog.

#### EditBreakpointDialog.on_filenameCombo_editTextChanged

on_filenameCombo_editTextChanged(fn)

Private slot to handle the change of the filename.

fn
  text of the filename edit (QString)

Up